Bug 737999 - RHQ installation error, oracle-specific
Summary: RHQ installation error, oracle-specific
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Database
Version: 4.1
Hardware: Unspecified
OS: Unspecified
medium
urgent vote
Target Milestone: ---
: ---
Assignee: RHQ Project Maintainer
QA Contact: Mike Foley
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-13 15:33 UTC by Mike Foley
Modified: 2012-02-07 19:30 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)
image of installation error (31.77 KB, image/png)
2011-09-13 15:33 UTC, Mike Foley
no flags Details
server log (558.57 KB, application/octet-stream)
2011-09-13 15:33 UTC, Mike Foley
no flags Details

Description Mike Foley 2011-09-13 15:33:08 UTC
Created attachment 522947 [details]
image of installation error

Description of problem:  RHQ installation error, oracle-specific


Version-Release number of selected component (if applicable):
RHQ 4.1 ... after recent merge of Drift

How reproducible:
100%
also fails on Jenkins:  https://hudson.qa.jboss.com/hudson/view/RHQ%20Core/job/rhq-master-ora/278/org.rhq$rhq-core-dbutils/console

Steps to Reproduce:
1.  basic installation on Oracle


  
Actual results:


Failed to save properties and fully deploy - RHQ Server will not function properly Cause: java.sql.SQLException:Failed to create table [RHQ_DRIFT_CONFIG] [ErrorCode=[904]; SQLState=[42000]; Message=[ORA-00904: : invalid identifier ]; Type=[java.sql.SQLException]][SQLException=Failed to create table [RHQ_DRIFT_CONFIG] [ErrorCode=[904]; SQLState=[42000]; Message=[ORA-00904: : invalid identifier ]; Type=[java.sql.SQLException]]] -> java.sql.SQLException:ORA-00904: : invalid identifier [SQLException=ORA-00904: : invalid identifier ]

Expected results:

successful installation

Additional info:  see attachment

Comment 1 Mike Foley 2011-09-13 15:33:47 UTC
Created attachment 522948 [details]
server log

Comment 2 Mike Foley 2011-09-14 14:08:54 UTC
verified 09/14/2011 on RHQ Sprint 5 Test Day.

Comment 3 Mike Foley 2012-02-07 19:30:23 UTC
changing status of VERIFIED BZs for JON 2.4.2 and JON 3.0 to CLOSED/CURRENTRELEASE

Comment 4 Mike Foley 2012-02-07 19:30:36 UTC
marking VERIFIED BZs to CLOSED/CURRENTRELEASE


Note You need to log in before you can comment on or make changes to this bug.